Help with Video driver and .net framework

I need help with my video driver and .net framework.

i installed the newest driver for the radeon x1600 and it said I needed to update my .net framework. I downloaded 3.0 and now it gives me errors when I try to open the drivers management program. It tells me " could not load or essemble CLL.Implementation, version 2.0.2789.36944 culture=Netrua...blah blah blah

I uninstalled 3.0, downloaded 2.0 and installed it. I get the same error. What should I do?
24 answers Last reply
More about help video driver framework
  1. googleads said:
    I need help with my video driver and .net framework.

    i installed the newest driver for the radeon x1600 and it said I needed to update my .net framework. I downloaded 3.0 and now it gives me errors when I try to open the drivers management program. It tells me " could not load or essemble CLL.Implementation, version 2.0.2789.36944 culture=Netrua...blah blah blah

    I uninstalled 3.0, downloaded 2.0 and installed it. I get the same error. What should I do?


    Try uninstalling both 2.0 and 3.0 and then reinstall.
  2. im going to do that right now. I also see version 1 in my add or remove program list.

    Right now im uninstalling 2. 3 is not on my PC. If you say so I will take 1 off aswell.

    Something to note is that I downloaded it from the MS website and it said 2.0 (x86) I think this means both 32 and 64 bit but I might be wrong and downloaded the 64 bit one instead
  3. Leave ver. 1 on. Just uninstall vers 2 and 3 then reinstall both. Go online and get the updates after you reinstall. It is a corrupted ver 2 that is likely causing your problem.
  4. Here is the Microsoft uninstall tool for .Net Framework. Download it to your desktop, install the tool and and use it if necessary. The tool should erase all effects of previously installed versions of .net framework programs.

    http://download.microsoft.com/download/E/9/D/E9D80355-7AB4-45B8-80E8-983A48D5E1BD/msicuu2.exe
  5. What does .net framework do anyway i have 1 and 2 but not 3 and i have updates on do i need to go get it ?
    Mactronix
  6. That's the reason I don't buy ATI cards. Those stupid drivers. It happened to me once that thing with .net about a year ago and it seems it hasn't changed. Too bad!
  7. mactronix said:
    What does .net framework do anyway i have 1 and 2 but not 3 and i have updates on do i need to go get it ?
    Mactronix


    It does a lot of things. For example I'm earning a living by writing software that relies on it. It's MUCH nicer than alternative ways of writing software like C++ or Java.

    Version 3.0 is not an official product yet. You don't need it. For now, the only people who need it are developers who are trying to keep their skills up to date.

    Versions 1 and 2 should be able to exist at the same time without interfering. Programs that need version 1 will not care at all whether version 2 or 3 is also present, and they will fail if you uninstall version 1 and install 2 instead.

    The OP has uninstalled version 1 and he probably broke a few applications by doing that. I would recommend uninstalling all versions, then installing version 1, then installing version 2.
  8. mactronix said:
    What does .net framework do anyway i have 1 and 2 but not 3 and i have updates on do i need to go get it ?
    Mactronix


    .net does not really do anything for you.
    It's realyl just a code libary that is used by certain programs.
    Updating will not normally do anything for you.
    Most programs that requite .NET will ship with the minumum version required.
    Critical updates to .NET will come down via Windows Update.

    So normally, it's just something you can ignore.
  9. Thanks for the replys guys thats my something learnt for today :)
    Mactronix
  10. So glad you could high jack my thread mactronix lol

    I did not uninstall 1. I uninstalled 2 then reinstalled it. I uninstalled it by add or remove programs.

    It still gave me an error. The Driver package came with Steam. It also gives errors when I first start my PC.

    I hope it will not come down to me reinstalling windows.
  11. googleads said:
    im going to do that right now. I also see version 1 in my add or remove program list.

    Right now im uninstalling 2. 3 is not on my PC. If you say so I will take 1 off aswell.

    Something to note is that I downloaded it from the MS website and it said 2.0 (x86) I think this means both 32 and 64 bit but I might be wrong and downloaded the 64 bit one instead

    x86 is 32bit
    x64 is 64bit

    That would be a problem if you don't have 64bit os.
  12. badge said:
    Here is the Microsoft uninstall tool for .Net Framework. Download it to your desktop, install the tool and and use it if necessary. The tool should erase all effects of previously installed versions of .net framework programs.

    http://download.microsoft.com/download/E/9/D/E9D80355-7AB4-45B8-80E8-983A48D5E1BD/msicuu2.exe

    googleleads,
    run this and then re-install version 2.0
  13. googleads said:
    I need help with my video driver and .net framework.

    i installed the newest driver for the radeon x1600 and it said I needed to update my .net framework. I downloaded 3.0 and now it gives me errors when I try to open the drivers management program. It tells me " could not load or essemble CLL.Implementation, version 2.0.2789.36944 culture=Netrua...blah blah blah

    I uninstalled 3.0, downloaded 2.0 and installed it. I get the same error. What should I do?
  14. In my case I don't open Catalyst Control Center, with message "You are not Administrator of system. Contact your ...". Sorry, but i can't fix that, so I use PC-ul without Catalyst Control Center.
  15. badge can you tell me how to get to that link from the MS site. I dont feel comfortable just clicking on a link in a forum that lets me download an exe file.
  16. The link was sent to me from Microsoft. I have used it many times. Search microsoft for .net Framework cleanup tool, you might find it.
  17. Read this, and good luck! Lots of people are getting that, apparently, and these guys managed to fix it.

    http://forums.guru3d.com/showthread.php?t=216029
  18. I used it with my old system that I had .net framework all messed up on. I had installed and un-installed so I used it to start fresh. I only installed 2.0 since that supercedes 1.0 and then Windows Update will make 3.0 available if you choose to install it.
  19. I currently use two x800gto's, an 1800xt, 1900gt, and a measly 9200. I am constantly updating my video drivers for all my rigs. I have many more...7900gto, 7800gt sli, 7600gt sli, etc, etc. I had a problem loading a recent 7.? Catalyst driver on both of my x800gto's. I got a similar error message. I simply re-installed the previous driver and used that. Since, I have installed the lastest driver beyond the version I had a problem with without problem. I also update two 6600gt's and a 5950Ultra regularily. And my MX400.
  20. badge. I used that program. I took out version 2. I reinstalled it. Then I still got an error message
    http://img107.imageshack.us/my.php?image=netframeworkpy2.jpg

    also I tried reinstalling the drivers too. Still got the error
  21. Did you try reinstalling the older drivers that worked before?
  22. I will say I am not sure what is causing your problem. I should think the drivers that worked previously or the driver CD that came with your card should load up and work. I suspect a corruption problem. A longshot, but I use this Registry Cleaner everyday on all my machines and I have never had a single problem. maybe you should download it and run the program. It's free. I don't know really.

    http://www.eusing.com/free_registry_cleaner/registry_cleaner.htm
  23. TO googleads
    Opps sory didnt even think how rude of me :(
    Mactronix
Ask a new question

Read More

Graphics Cards Framework Video Driver Graphics